/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.pool.impl;

import org.ow2.util.pool.api.FactoryState;
import org.ow2.util.pool.api.IPoolState;

/**
 * Statistics class.
 * @author Gael Lalire
 */
public class PoolStateImpl implements IPoolState {

    private int availableItemCount;
    private int busyItemCount;
    private int creatingItemCount;
    private int expectedItemCount;
    private int removingItemCount;
    private FactoryState factoryState;

    public int getAvailableItemCount() {
        return availableItemCount;
    }

    public int getBusyItemCount() {
        return busyItemCount;
    }

    public int getCreatingItemCount() {
        return creatingItemCount;
    }


    public int getExpectedItemCount() {
        return expectedItemCount;
    }

    public FactoryState getFactoryState() {
        return factoryState;
    }


    public int getRemovingItemCount() {
        return removingItemCount;
    }


    public void setAvailableItemCount(final int availableItemCount) {
        this.availableItemCount = availableItemCount;
    }


    public void setBusyItemCount(final int busyItemCount) {
        this.busyItemCount = busyItemCount;
    }


    public void setCreatingItemCount(final int creatingItemCount) {
        this.creatingItemCount = creatingItemCount;
    }


    public void setExpectedItemCount(final int expectedItemCount) {
        this.expectedItemCount = expectedItemCount;
    }


    public void setFactoryState(final FactoryState factoryState) {
        this.factoryState = factoryState;
    }


    public void setRemovingItemCount(final int removingItemCount) {
        this.removingItemCount = removingItemCount;
    }

}
